Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.blocker
Class AbstractCondition

    java.lang.Object
      com.sun.mdm.index.configurator.impl.blocker.AbstractCondition

Direct Known Subclasses:
  ContainsCondition, ExactCondition, GreaterThanCondition, GreaterThanEqualsCondition, LessThanCondition, LessThanEqualsCondition, NotEqualsCondition, RangeCondition, StartsWithCondition

public abstract class AbstractCondition
extends java.lang.Object

Base class for a block condition

Constructor Summary
`AbstractCondition()` Creates a new instance of AbstractCondition

Method Summary
`java.lang.String` | `getField()` Getter for Field attribute of the AbstractCondition object.
`EPath` | `getSource()` Getter for Source attribute of the AbstractCondition object.
`abstract int` | `getType()` Getter for Type attribute of the AbstractCondition object.
`void` | `setField(java.lang.String val)` Setter for Field attribute of the AbstractCondition object.
`void` | `setSource(EPath val)` Setter for Source attribute of the AbstractCondition object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractCondition

    public AbstractCondition()

  Creates a new instance of AbstractCondition

Method Detail

### getField

    public java.lang.String getField()

  Getter for Field attribute of the AbstractCondition object.

  Returns:
    field

### getSource

    public EPath getSource()

  Getter for Source attribute of the AbstractCondition object.

  Returns:
    source as an EPath

### getType

    public abstract int getType()

  Getter for Type attribute of the AbstractCondition object.

  Returns:
    type

### setField

    public void setField(java.lang.String val)

  Setter for Field attribute of the AbstractCondition object.

  Parameters:
    `val` - Field value.

### setSource

    public void setSource(EPath val)

  Setter for Source attribute of the AbstractCondition object.

  Parameters:
    `val` - Source value.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.